curl --request PATCH \
--url https://{api_endpoint}/v1/orchestrate/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"tools": [
"<string>"
],
"collaborators": [
"<string>"
],
"llm": "<string>",
"supported_apps": [
"slack/askhr"
],
"glossary": [],
"guidelines": [
{
"condition": "<string>",
"action": "<string>",
"display_name": "<string>",
"tool": "<string>"
}
],
"knowledge_base": [],
"hidden": true,
"display_name": "<string>",
"structured_output": {},
"custom_join_tool": "<string>",
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>",
"is_default_voice_greeting": false
},
"icon": "<string>",
"realtime_agent_settings": {
"enabled": true
},
"context_settings": {
"context_compaction_enabled": true,
"context_compaction_threshold": 123,
"compaction_sliding_window": 123,
"large_message_threshold": 123,
"large_message_chunk_size": 123,
"large_message_target_summary": 123,
"large_message_detect_structured": true
}
},
"tags": [],
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": false
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"context_access_enabled": true,
"connection_ids": [
"<string>"
],
"context_variables": [
"<string>"
],
"hide_reasoning": true,
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_config": {
"decoding_method": "<string>",
"prompt": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"temperature": 123,
"top_p": 123,
"n": 123,
"stream": true,
"logprobs": 123,
"top_logprobs": true,
"echo": true,
"stop": "<string>",
"presence_penalty": 123,
"frequency_penalty": 123,
"best_of": 123,
"logit_bias": {},
"user": "<string>",
"context": "<string>",
"examples": [
{
"input": "<unknown>",
"output": "<unknown>"
}
],
"top_k": 123,
"response_format": {
"type": "<string>",
"json_schema": null
},
"seed": 123,
"store": true,
"metadata": {},
"modalities": [
"<string>"
],
"audio": {
"voice": "<string>",
"format": "<string>"
},
"service_tier": "<string>",
"prediction": {
"type": "<string>",
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
},
"safety_settings": null,
"anthropic_beta": "<string>",
"anthropic_version": "<string>",
"thinking": {
"budget_tokens": 123,
"type": "<string>"
},
"space_id": "<string>",
"project_id": "<string>",
"reasoning_effort": "<string>",
"parallel_tool_calls": true,
"disable_parallel_tool_use": true,
"disable_tool_validation": true,
"verbosity": "<string>",
"thinking_level": "<string>"
},
"plugins": {
"agent_pre_invoke": [
{
"plugin_id": "<string>"
}
],
"agent_post_invoke": [
{
"plugin_id": "<string>"
}
]
},
"sync_tool_flow_interactions": true,
"toolkits": [
"<string>"
],
"memory_enabled": true,
"timeout_seconds": 123,
"custom_agents_metadata": {}
}
EOFimport requests
url = "https://{api_endpoint}/v1/orchestrate/agents/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"tools": ["<string>"],
"collaborators": ["<string>"],
"llm": "<string>",
"supported_apps": ["slack/askhr"],
"glossary": [],
"guidelines": [
{
"condition": "<string>",
"action": "<string>",
"display_name": "<string>",
"tool": "<string>"
}
],
"knowledge_base": [],
"hidden": True,
"display_name": "<string>",
"structured_output": {},
"custom_join_tool": "<string>",
"additional_properties": {
"starter_prompts": { "customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
] },
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>",
"is_default_voice_greeting": False
},
"icon": "<string>",
"realtime_agent_settings": { "enabled": True },
"context_settings": {
"context_compaction_enabled": True,
"context_compaction_threshold": 123,
"compaction_sliding_window": 123,
"large_message_threshold": 123,
"large_message_chunk_size": 123,
"large_message_target_summary": 123,
"large_message_detect_structured": True
}
},
"tags": [],
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_with_docs": {
"enabled": False,
"supports_full_document": True,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": False
},
"query_rewrite": {
"enabled": True,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": { "output": {
"enabled": False,
"threshold": 0.5
} },
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"context_access_enabled": True,
"connection_ids": ["<string>"],
"context_variables": ["<string>"],
"hide_reasoning": True,
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_config": {
"decoding_method": "<string>",
"prompt": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"temperature": 123,
"top_p": 123,
"n": 123,
"stream": True,
"logprobs": 123,
"top_logprobs": True,
"echo": True,
"stop": "<string>",
"presence_penalty": 123,
"frequency_penalty": 123,
"best_of": 123,
"logit_bias": {},
"user": "<string>",
"context": "<string>",
"examples": [
{
"input": "<unknown>",
"output": "<unknown>"
}
],
"top_k": 123,
"response_format": {
"type": "<string>",
"json_schema": None
},
"seed": 123,
"store": True,
"metadata": {},
"modalities": ["<string>"],
"audio": {
"voice": "<string>",
"format": "<string>"
},
"service_tier": "<string>",
"prediction": {
"type": "<string>",
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
},
"safety_settings": None,
"anthropic_beta": "<string>",
"anthropic_version": "<string>",
"thinking": {
"budget_tokens": 123,
"type": "<string>"
},
"space_id": "<string>",
"project_id": "<string>",
"reasoning_effort": "<string>",
"parallel_tool_calls": True,
"disable_parallel_tool_use": True,
"disable_tool_validation": True,
"verbosity": "<string>",
"thinking_level": "<string>"
},
"plugins": {
"agent_pre_invoke": [{ "plugin_id": "<string>" }],
"agent_post_invoke": [{ "plugin_id": "<string>" }]
},
"sync_tool_flow_interactions": True,
"toolkits": ["<string>"],
"memory_enabled": True,
"timeout_seconds": 123,
"custom_agents_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
instructions: '<string>',
tools: ['<string>'],
collaborators: ['<string>'],
llm: '<string>',
supported_apps: ['slack/askhr'],
glossary: [],
guidelines: [
{
condition: '<string>',
action: '<string>',
display_name: '<string>',
tool: '<string>'
}
],
knowledge_base: [],
hidden: true,
display_name: '<string>',
structured_output: {},
custom_join_tool: '<string>',
additional_properties: {
starter_prompts: {
customize: [
{
title: '<string>',
prompt: '<string>',
id: '<string>',
subtitle: '<string>',
state: '<string>'
}
]
},
welcome_content: {
welcome_message: '<string>',
description: '<string>',
is_default_voice_greeting: false
},
icon: '<string>',
realtime_agent_settings: {enabled: true},
context_settings: {
context_compaction_enabled: true,
context_compaction_threshold: 123,
compaction_sliding_window: 123,
large_message_threshold: 123,
large_message_chunk_size: 123,
large_message_target_summary: 123,
large_message_detect_structured: true
}
},
tags: [],
voice_configuration_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chat_with_docs: {
enabled: false,
supports_full_document: true,
vector_index: {
embeddings_model_name: '<string>',
chunk_size: 400,
chunk_overlap: 50,
limit: 10,
extraction_strategy: 'standard'
},
generation: {
model_id: '<string>',
prompt_instruction: '',
max_docs_passed_to_llm: 5,
generated_response_length: 'Moderate',
display_text_no_results_found: 'I searched my knowledge base, but did not find anything related to your query',
display_text_connectivity_issue: 'I might have information related to your query to share, but am unable to connect to my knowledge base at the moment',
idk_message: 'I\'m afraid I don\'t understand. Please rephrase your question.',
enabled: false
},
query_rewrite: {enabled: true, model_id: '<string>'},
confidence_thresholds: {
retrieval_confidence_threshold: 'Lowest',
response_confidence_threshold: 'Lowest'
},
citations: {citation_title: 'How do we know?', citations_shown: -1},
hap_filtering: {output: {enabled: false, threshold: 0.5}},
query_source: 'Agent',
agent_query_description: 'The query to search for in the knowledge base'
},
context_access_enabled: true,
connection_ids: ['<string>'],
context_variables: ['<string>'],
hide_reasoning: true,
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
llm_config: {
decoding_method: '<string>',
prompt: '<string>',
max_tokens: 123,
max_completion_tokens: 123,
temperature: 123,
top_p: 123,
n: 123,
stream: true,
logprobs: 123,
top_logprobs: true,
echo: true,
stop: '<string>',
presence_penalty: 123,
frequency_penalty: 123,
best_of: 123,
logit_bias: {},
user: '<string>',
context: '<string>',
examples: [{input: '<unknown>', output: '<unknown>'}],
top_k: 123,
response_format: {type: '<string>', json_schema: null},
seed: 123,
store: true,
metadata: {},
modalities: ['<string>'],
audio: {voice: '<string>', format: '<string>'},
service_tier: '<string>',
prediction: {type: '<string>', content: [{type: '<string>', text: '<string>'}]},
safety_settings: null,
anthropic_beta: '<string>',
anthropic_version: '<string>',
thinking: {budget_tokens: 123, type: '<string>'},
space_id: '<string>',
project_id: '<string>',
reasoning_effort: '<string>',
parallel_tool_calls: true,
disable_parallel_tool_use: true,
disable_tool_validation: true,
verbosity: '<string>',
thinking_level: '<string>'
},
plugins: {
agent_pre_invoke: [{plugin_id: '<string>'}],
agent_post_invoke: [{plugin_id: '<string>'}]
},
sync_tool_flow_interactions: true,
toolkits: ['<string>'],
memory_enabled: true,
timeout_seconds: 123,
custom_agents_metadata: {}
})
};
fetch('https://{api_endpoint}/v1/orchestrate/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update A Registered Agent
Updates an existing agent by id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Schema for updating an existing agent.
Name of the agent
Updated description
Updated instructions
Updated list of tool names
Updated list of collaborator names
Updated LLM identifier
Style of the agent
default, react, planner, custom, react_intrinsic, experimental_customer_care, code_act Supported apps of the agent
slack/askhr List of glossary available to the agent
List of guidelines for the agent behavior
Show child attributes
Show child attributes
List of knowledge_base available to the agent
To show or hide agent when agents are listed
Display name of the agent
JSON schema defining the structure for agent responses
Reference to a Python tool that will be used for custom synthesis of task results
Agent Additional Settings
Show child attributes
Show child attributes
List of tags associated to agent
Voice configuration for the agent
Chat with Documents config for Agent
Show child attributes
Show child attributes
Enable access to context variables for this agent
List of connection IDs for direct agent-to-connection bindings
List of context variable names that this agent can access
Enable/disable reasoning trace
ID of the workspace that owns this agent
Show child attributes
Show child attributes
Plugins and hook points associated to the agents
Show child attributes
Show child attributes
Enable/disable syncing user interactions from tool flow to the agent
Updated list of toolkit ids
Enable/disable agentic memory for this agent
Timeout in seconds for agent execution (min=120, max=900)
Metadata for custom agents (language, framework, tool count, tool names, connection requirements)
Response
Successful Response

